> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/nodejs/dbaas-mongodb/api/templatesapi.md).

# TemplatesApi

All URIs are relative to *<https://api.ionos.com/databases/mongodb>*

| Method                            | HTTP request       | Description   |
| --------------------------------- | ------------------ | ------------- |
| [**templatesGet**](#templatesget) | **GET** /templates | Get Templates |

## templatesGet

> templatesGet(opts)

Get Templates

Retrieves a list of valid templates. These templates can be used to create MongoDB clusters; they contain properties, such as number of cores, RAM, and the storage size.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs-dbaas-mongo');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.TemplatesApi(config);
// Get Templates
api_instance
  .templatesGet({
    limit: 100,
    offset: 200
    options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name       | Type       | Description                                                                                    | Notes                        |
| ---------- | ---------- | ---------------------------------------------------------------------------------------------- | ---------------------------- |
| **limit**  | **number** | The maximum number of elements to return. Use together with \&#39;offset\&#39; for pagination. | \[optional]\[default to 100] |
| **offset** | **number** | The first element to return. Use together with \&#39;limit\&#39; for pagination.               | \[optional]\[default to 0]   |

### Return type

[**TemplateList**](/cloud/nodejs/dbaas-mongodb/models/templatelist.md)

### Authorization

basicAuth, tokenAuth

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/nodejs/dbaas-mongodb/api/templatesapi.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
